[package]
name = "ghost-claims"
version = "0.2.4"
description = "Ghost balance and rank claims based on EVM actions"
license.workspace = true
authors.workspace = true
edition.workspace = true
homepage.workspace = true
repository.workspace = true

[dependencies]
codec = { workspace = true, features = ["derive"] }
scale-info = { workspace = true, features = ["derive"] }
serde = { workspace = true }
serde_derive = { workspace = true }
rustc-hex = { workspace = true }
libsecp256k1 = { workspace = true, default-features = false }

frame-benchmarking = { workspace = true, optional = true }
frame-support = { workspace = true }
frame-system = { workspace = true }

pallet-ranked-collective = { workspace = true }
pallet-vesting = { workspace = true }
pallet-balances = { workspace = true }

sp-core = { features = ["serde"], workspace = true }
sp-runtime = { features = ["serde"], workspace = true }
sp-io = { workspace = true }
sp-std = { workspace = true }

[dev-dependencies]
hex-literal = { workspace = true, default-features = true }
libsecp256k1 = { workspace = true, default-features = true }
serde_json = { workspace = true, default-features = true }

[features]
default = ["std"]
std = [
    "frame-benchmarking?/std",
    "serde/std",
    "codec/std",
    "scale-info/std",
    "libsecp256k1/std",
    "frame-support/std",
    "frame-system/std",
    "sp-core/std",
    "sp-runtime/std",
    "sp-io/std",
    "sp-std/std",
    "pallet-ranked-collective/std",
    "pallet-vesting/std",
    "pallet-balances/std",
    "rustc-hex/std",
]
runtime-benchmarks = [
    "libsecp256k1/hmac",
    "libsecp256k1/static-context",
    "frame-benchmarking/runtime-benchmarks",
    "frame-support/runtime-benchmarks",
    "frame-system/runtime-benchmarks",
    "pallet-ranked-collective/runtime-benchmarks",
    "pallet-vesting/runtime-benchmarks",
    "pallet-balances/runtime-benchmarks",
    "sp-runtime/runtime-benchmarks",
]
try-runtime = [
    "frame-support/try-runtime",
    "frame-system/try-runtime",
    "pallet-ranked-collective/try-runtime",
    "pallet-vesting/try-runtime",
    "pallet-balances/try-runtime",
    "sp-runtime/try-runtime",
]
